///destroyBuilding(/*Use with(a building)*/)
//Destroy the building. Evacuate it, too
//Move everything above down

//Make it impossible to collide 
var oldx = x, oldy = y;

x = -100000;
y = -100000;

if (groundLevelBuilding == id)
{
    groundLevelBuilding = topBuilding;
    if (topBuilding != noone)
        topBuilding.image_index = 1;
}
with (topBuilding)
{
    moveDownSelfAndAbove(other.groundLevelBuilding);
    bottomBuilding = other.bottomBuilding;
}

with (bottomBuilding)
{
    topBuilding = other.topBuilding;
}

with (leftBuilding)
    updateLeftRightBuilding();
with (rightBuilding)
    updateLeftRightBuilding();

var evacuateTo = bottomBuilding; //Can be noone, that's fine

with (citizen)
{
    if (inbuilding == other.id)
    {
        inbuilding = evacuateTo;
        if (inbuilding == noone)
        {
            x = oldx + other.doorx;
            y = oldy + other.doory;
        }
    }
    if (goal == other.id)
    {
        set_goal(-1);
    }
    if (home == other.id)
    {
        home = noone;
    }
    if (job == other.id)
    {
        job = noone;
    }
    
    //All plans are now void, make new ones
    if (movementPlan != -1)
    {
        ds_queue_destroy(movementPlan);
        movementPlan = -1;
    }
}

with (building)
{
    if (leftBuilding == other.id || rightBuilding == other.id || bottomBuilding == other.id
        || topBuilding == other.id)
    {
        show_debug_message("fail");
        if (leftBuilding == other.id) { leftBuilding = noone; show_debug_message("lfail1"); }
        if (rightBuilding == other.id) { rightBuilding = noone; show_debug_message("rfail1"); }
        if (bottomBuilding == other.id) { bottomBuilding = noone; show_debug_message("bfail1"); }
        if (topBuilding == other.id) { topBuilding = noone; show_debug_message("tfail1"); }
        updateLeftRightBuilding();
        if (leftBuilding == other.id) { leftBuilding = noone; show_debug_message("lfail"); }
        if (rightBuilding == other.id) { rightBuilding = noone; show_debug_message("rfail"); }
        if (bottomBuilding == other.id) { bottomBuilding = noone; show_debug_message("bfail"); }
        if (topBuilding == other.id) { topBuilding = noone; show_debug_message("tfail"); }
    }
}

instance_destroy();
